org.apache.geode.cache.query

## Class IndexCreationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.query.QueryException
        - - org.apache.geode.cache.query.IndexCreationException

- All Implemented Interfaces:
    java.io.Serializable

      public class IndexCreationException
      extends QueryException

  This class is used to represent any partitioned index creation exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexCreationException(java.lang.String msg)` Constructor with a string message representing the problem.
    `IndexCreationException(java.lang.String msg, java.lang.Throwable cause)` Constructor with a string message representing the problem and also the throwable.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexCreationException

          public IndexCreationException(java.lang.String msg)

      Constructor with a string message representing the problem.
      Parameters:
        `msg` - message representing the cause of exception

    - #### IndexCreationException

          public IndexCreationException(java.lang.String msg,
                                        java.lang.Throwable cause)

      Constructor with a string message representing the problem and also the throwable.
      Parameters:
        `msg` - representing the cause of exception
        `cause` - the actual exception.